%define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%define python_sitelib64 %(python_64 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

%define realname Yelp-Testify

Name:		python-testify
Version:        0.3.3
Release:        1
Summary:        Testify - A Python Testing Framework
Group:          Applications/System
License:        Apache v2.0
URL:            https://github.com/Yelp/Testify/
#Source0:        https://github.com/Yelp/Testify/tarball/master
Source0:        %{realname}-%{version}-0-g655790d.tar.gz
Patch0:         %{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  python-devel >= 2.6.2
Requires:       python >= 2.6.2

%define _libdir64 %{_prefix}/lib64

%description
Testify is a replacement for Python's unittest module and nose. It is modeled
after unittest, and existing unittest classes are fully supported.
However, Testify has features above and beyond unittest:
* Class-level setup and teardown fixture methods, which are run only once
  for an entire class of test methods.
* A decorator-based approach to fixture methods, enabling features like
  lazily-evaluated attributes and context managers for tests.
* Enhanced test discovery. Testify can drill down into packages to find test
  cases (similiar to nose).
* Support for detecting and running test suites, grouped by modules, classes,
  or individual test methods.
* Support for splitting up tests into buckets for multiprocessing.
* Pretty test runner output (hooray color!).
* Extensible plugin system for adding additional functionality around reporting.
* Comes complete with other handy testing utilities, including turtle (for
  mocking), code coverage integration, profiling, and numerous common assertion
  helpers for easier debugging.
* More pythonic naming conventions.


%prep
%setup -q -n %{realname}-655790d
%patch0
mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cd 32bit && tar cf - . | (cd ../64bit ; tar xpf -)


%build
cd 64bit
make source PYTHON=%{_bindir}/python_64 DESTDIR="${RPM_BUILD_ROOT}"

cd ../32bit
make source PYTHON=%{_bindir}/python DESTDIR="${RPM_BUILD_ROOT}"


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd 64bit
make install PYTHON=%{_bindir}/python_64 DESTDIR="${RPM_BUILD_ROOT}"
mv ${RPM_BUILD_ROOT}%{_libdir} ${RPM_BUILD_ROOT}%{_libdir64}
mv ${RPM_BUILD_ROOT}%{_bindir}/testify ${RPM_BUILD_ROOT}%{_bindir}/testify_64

cd ../32bit
make install PYTHON=%{_bindir}/python DESTDIR="${RPM_BUILD_ROOT}"

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc 32bit/*.txt 32bit/README*
%{_bindir}/*
%{python_sitelib}/*
%{python_sitelib64}/*
/usr/bin/*


%changelog
* Wed Oct 17 2012 Michael Perzl <michael@perzl.org> - 0.3.3-1
- first version for AIX V5.1 and higher
